
package nc.vo.sap.syproconfig;

import nc.vo.pubapp.pattern.model.entity.bill.AbstractBill;
import nc.vo.pubapp.pattern.model.meta.entity.bill.BillMetaFactory;
import nc.vo.pubapp.pattern.model.meta.entity.bill.IBillMeta;
import nc.vo.sap.syproconfig.SyProConfigVO;

@nc.vo.annotation.AggVoInfo(parentVO = "nc.vo.sap.syproconfig.SyProConfigVO")
public class AggNccsynergy extends AbstractBill {

@Override
public IBillMeta getMetaData() {
IBillMeta billMeta = BillMetaFactory.getInstance().getBillMeta(
AggNccsynergyMeta.class);
return billMeta;
}

@Override
public SyProConfigVO getParentVO() {
return (SyProConfigVO) this.getParent();
}

@Override
public String getPrimaryKey() {
return super.getPrimaryKey();
}
}